﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ExtendedDataTableLibrary.Properties
{
    public class StyleProperties
    {
        public StyleProperties()
        {
            SetInitialStyleProperties();
        }
        private void SetInitialStyleProperties()
        {
            _HeaderStyle.Add("background-color", "#075b98");
            _HeaderStyle.Add("color", "#FFFFFF");
            _HeaderStyle.Add("padding-left", "10px");
            _HeaderStyle.Add("font-weight", "bold");
            _HeaderStyle.Add("height", "25px");

            _RowStyle.Add("background-color", "#e1edfb");
            _RowStyle.Add("padding-left", "10px");
            _RowStyle.Add("height", "25px");

            _AlternatingRowStyle.Add("background-color", "#FFFFFF");
            _AlternatingRowStyle.Add("padding-left", "10px");
            _AlternatingRowStyle.Add("height", "25px");
        }
        private Style _TableStyle = new Style();
        private Style _HeaderStyle = new Style();
        private Style _RowStyle = new Style();
        private Style _AlternatingRowStyle = new Style();
        private Dictionary<int, Style> _RowSpecificStyle = new Dictionary<int, Style>();

        public Style TableStyle
        {
            get { return _TableStyle; }
            set { _TableStyle = value; }
        }
        public Style HeaderStyle
        {
            get { return _HeaderStyle; }
            set { _HeaderStyle = value; }
        }
        public Style RowStyle
        {
            get { return _RowStyle; }
            set { _RowStyle = value; }
        }
        public Style AlternatingRowStyle
        {
            get { return _AlternatingRowStyle; }
            set { _AlternatingRowStyle = value; }
        }
        public Dictionary<int, Style> RowSpecificStyle
        {
            get { return _RowSpecificStyle; }
            set { _RowSpecificStyle = value; }
        }
    }
}
